
import { _decorator, Component, Node, UITransform, ProgressBar, game, director } from 'cc';
import { UIConfig } from './UIConfig';
import ModalMgr from './UIFrame/ModalMgr';
import SceneMgr from './UIFrame/SceneMgr';
import UIManager from './UIFrame/UIManager';
import WindowMgr from './UIFrame/WindowMgr';
const { ccclass, property } = _decorator;

@ccclass('Start')
export class Start extends Component {

    @property(ProgressBar)
    loadingBar: ProgressBar = null;
 
    onLoad() {
        this.loadingBar = this.getComponent(ProgressBar);
    }
 
    start() {
        this.initRes();
    }
 
 
    async initRes() {
        // 初始化配置文件
        // await initAllSample();
    }
    
    async startGame(){
        // 加载玩家信息
        
        // 跳转到游戏场景
        // director.loadScene("main");
    }

    

}
